//MFDocument.h
#import <Cocoa/Cocoa.h>
#import "OBJXCache.h"

@class MFFriend;

@interface MFDocument : NSObject <NSCoding> {
	NSMutableArray* mFriends;
	OBJXCache* mImageCache;
	
	MFFriend *mUser;
	
}

- (id)init;
- (void)dealloc;

- (id)initWithCoder:(NSCoder *)coder;
- (void)encodeWithCoder:(NSCoder *)coder;
//Accessor Methods
- (void)setFriends:(NSMutableArray*)theFriendSet;
- (NSMutableArray*)friends;
- (void)setImageCache:(OBJXCache*)theImageCache;
- (OBJXCache*)imageCache;
- (void)setUser:(MFFriend*)user;
- (MFFriend*)user;
@end
