//MFEvent.h
#import <Cocoa/Cocoa.h>

@interface MFEvent : NSObject <NSCoding> {
	NSString *mEid;
	NSString *mName;
	NSString *mTagline;
	NSString *mNid;
	NSString *mPic;
	NSString *mPicBig;
	NSString *mPicSmall;
	NSString *mDescription;
	NSString *mEventType;
	NSString *mEventSubtype;
	NSString *mHost;
	NSString *mStartTime;
	NSString *mEndTime;
	NSString *mCreator;
	NSString *mUpdateTime;
	NSString *mLocation;
	NSString *mVenueCity;
	NSString *mVenueState;
	NSString *mVenueCountry;
	
	NSDate *mStartDate;
}

- (id)init;
- (void)dealloc;

- (id)initWithCoder:(NSCoder *)coder;
- (void)encodeWithCoder:(NSCoder *)coder;

- (NSURL*)eventURL;


//Accessor Methods
- (void)setEid:(NSString *)theEid;
- (NSString *)eid;
- (void)setName:(NSString *)theName;
- (NSString *)name;
- (void)setTagline:(NSString *)theTagline;
- (NSString *)tagline;
- (void)setNid:(NSString *)theNid;
- (NSString *)nid;
- (void)setPic:(NSString *)thePic;
- (NSString *)pic;
- (void)setPicBig:(NSString *)thePicBig;
- (NSString *)picBig;
- (void)setPicSmall:(NSString *)thePicSmall;
- (NSString *)picSmall;
- (void)setDescription:(NSString *)theDescription;
- (NSString *)description;
- (void)setEventType:(NSString *)theEventType;
- (NSString *)eventType;
- (void)setEventSubtype:(NSString *)theEventSubtype;
- (NSString *)eventSubtype;
- (void)setHost:(NSString *)theHost;
- (NSString *)host;
- (void)setStartTime:(NSString *)theStartTime;
- (NSString *)startTime;
- (void)setEndTime:(NSString *)theEndTime;
- (NSString *)endTime;
- (void)setCreator:(NSString *)theCreator;
- (NSString *)creator;
- (void)setUpdateTime:(NSString *)theUpdateTime;
- (NSString *)updateTime;
- (void)setLocation:(NSString *)theLocation;
- (NSString *)location;
- (void)setVenueCity:(NSString *)theVenueCity;
- (NSString *)venueCity;
- (void)setVenueState:(NSString *)theVenueState;
- (NSString *)venueState;
- (void)setVenueCountry:(NSString *)theVenueCountry;
- (NSString *)venueCountry;

- (void)setStartDate:(NSDate*)date;
- (NSDate*)startDate;
@end
