//
//  MFMenuWindowController.h
//  MacFace
//
//  Created by Morgan Redman on 24/06/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "OBJXMenubarItemView.h"

@interface MFMenuWindowController : NSWindowController <OBJXMenubarItemViewDelegateProtocol>{
	IBOutlet id searchField;
	
	id mDelegate;
	
}

- (IBAction)search:(id)sender;
- (BOOL)openFromView:(NSView*)view;//opens like a drop down - right under this rect
- (void)openInKeyboardNavigationFromView:(NSView*)view;
- (void)openFromParentMenuView:(NSView*)view cellRect:(NSRect)cellRect; // Called from a menu to open a submenu - cellRect is selection rect in view

- (void)selectSearchText;

- (void)setDelegate:(id)delegate;
- (id)delegate;
- (void)setMenu:(NSMenu*)menu;
- (NSMenu*)menu;


@end
