//OBJXArchive.h
#import <Cocoa/Cocoa.h>

@interface OBJXArchive : NSObject <NSCoding> {
	NSString *mClassName;
	NSString *mPath;
    id mArchivedObject;
    NSTimer *mTimer;
    
    IBOutlet id objectController;
}

- (void)initCommon;

- (id)init;
- (void)dealloc;

- (id)initWithCoder:(NSCoder *)coder;
- (void)encodeWithCoder:(NSCoder *)coder;

- (BOOL)runningInInterfaceBuilder;

- (void)archive;
- (void)unarchive;

#pragma mark Actions
- (IBAction)archive:(id)sender;
- (IBAction)unarchive:(id)sender;

#pragma mark Accessor Methods
- (void)setArchivedClassName:(NSString *)theClassName;
- (NSString *)archivedClassName;
- (void)setPath:(NSString *)thePath;
- (NSString *)path;
- (id)object;
- (void)setObject:(id)object;
@end
