//OBJXMenuItemCell.h
#import "OBJXMenuView.h"
#import <Cocoa/Cocoa.h>


@interface OBJXMenuItemCell : NSObject   {
	OBJXMenuView* mView;
	NSMenuItem* mObject;
	BOOL mHighlight;
}

- (id)init;
- (void)dealloc;


+ (float)cellHeight;
+ (float)margin;
+ (float)rightMargin;
+ (float)textSize;
+ (float)imageTextMargin;

//Accessor Methods
- (void)setView:(OBJXMenuView*)theView;
- (OBJXMenuView*)view;
- (void)setObject:(NSMenuItem*)theObject;
- (NSMenuItem*)object;
- (BOOL)isHighlighted;
- (void)setIsHighlighted:(BOOL)value;
@end
