//
//  OBJXMenuWindow.h
//  MacFace
//
//  Created by Morgan Redman on 21/07/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class MFMenuWindowController; //This should be generic - not MF
@class OBJXMenuView;

@interface OBJXMenuWindow : NSPanel {
	IBOutlet id headerView; //Used to have a header of fixed width at the top of the menu
	IBOutlet id menuView; //connect to an OBJXMenuView Instance subview of this window
	
	NSMenu* mMenuContent;
	MFMenuWindowController *mSubmenuController;
	OBJXMenuWindow *mParentWindow;
}


- (void)passAlongMouseUpFromMenubarView:(NSEvent*)event;
- (void)autoSelectItem;


- (void)setMenuContent:(NSMenu*)menu;
- (NSMenu*)menuContent;

- (void)openSubmenu;
- (void)closeSubmenu;
- (BOOL)submenuOpen;

//- (void)setSubmenuController:(MFMenuWindowController*)controller;
- (void)setParentWindow:(OBJXMenuWindow*)theParentWindow;
- (OBJXMenuWindow*)parentWindow;

- (OBJXMenuView*)menuView;
@end
