//
//  NSImage+Additions.h
//  OBJXAppKit
//
//  Created by Morgan Redman on 22/04/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSImage(Additions) 
- (void)centerInRect:(NSRect)rect;//draws the image centered in the rect
- (NSRect)sourceRect;//Returns a rectangle suitable for use with drawinRect~
- (NSData*)jpegDataWithCompressionFactor:(float)factor;

//Framed Photo Composition
- (float)framedPhotoCellHeight;
- (NSImage*)framedPhotoWithFrameColor:(NSColor*)color shadow:(BOOL)shadow;
@end
