
#import <Cocoa/Cocoa.h>


@interface NSString(Additions)
+ (NSString *)UUID;

#pragma mark Attributed Strings
- (NSAttributedString*)attributedStringWithSize:(float)size alignment:(int)alignment bold:(BOOL)bold color:(NSColor*)color;
- (NSAttributedString*)attributedStringWithSize:(float)size bold:(BOOL)bold color:(NSColor*)color;
- (void)appendStringSafe:(NSString*)string;
- (NSString*)stringWithUnichar:(unichar)key modifiers:(unsigned int)flags;

- (BOOL)emptyString;
- (BOOL)isEmpty;
- (void)assertPathExists;
@end
