//OBJXHotkey.h

//This class will be useless until fully developed into two classes, this one and a central OBJXHotkeyManager class to dispatch
#import <Cocoa/Cocoa.h>
#import <Carbon/Carbon.h>

@class OBJXHotKey;

@protocol OBJXHotKeyDelegateProtocol
	- (void)handleHotKey:(OBJXHotKey*)hotkey;
@end

@interface OBJXHotKey : NSObject <NSCoding> {
	IBOutlet id <OBJXHotKeyDelegateProtocol>delegate;
	NSString *mDomain;
	unsigned int mKeyCode;
	unsigned int mModifiers;
	unsigned int mOldKeyCode;
	unsigned int mOldModifiers;
	BOOL mInstalled;
	
	EventHotKeyRef mMyHotKeyRef;
	EventHotKeyID mMyHotKeyID;
}

- (id)init;
- (void)dealloc;

- (id)initWithCoder:(NSCoder *)coder;
- (void)encodeWithCoder:(NSCoder *)coder;

- (BOOL)runningInInterfaceBuilder;
//Accessor Methods
- (void)setDomain:(NSString *)theDomain;
- (NSString *)domain;

- (void)setModifiers:(unsigned int)theModifiers;
- (unsigned int)modifiers;
- (void)setKeyCode:(unsigned int)theKeyCode;
- (unsigned int)keyCode;
@end
