#import <Cocoa/Cocoa.h>

//Delegate - mouseDown and mouseUp events passthru
@protocol OBJXMenubarItemViewDelegateProtocol
- (void)menubarItemView_mouseDown:(NSEvent*)event view:(NSView*)view;
- (void)menubarItemView_mouseUp:(NSEvent*)event view:(NSView*)view;
@end

//Notifications - clicked
#define kOBJXMenubarItemViewClickedNotification @"com.objx.menubarItemView.clicked"


@interface OBJXMenubarItemView : NSImageView {
		id mDelegate;
		NSImage *mImage;
}


- (void)setDelegate:(id)theDelegate;
- (id)delegate;
- (void)setImage:(NSImage*)theImage;
- (NSImage*)image;
@end
