//
//  OBJXHeaderView.h
//  OBJXAppKit
//
//  Created by Morgan Redman on 21/04/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface OBJXHeaderView : NSView {
    NSString *mName;
    NSImage *mImage;
    NSCell *mCell;
    
    IBOutlet id horizontalSplitView;
    IBOutlet id verticalSplitView;
}

- (void)initCommon;

- (NSRect)basicCellRectForFrame:(NSRect)frame;
- (NSRect)grabberRectForFrame:(NSRect)frame;
- (NSRect)horizontalGrabRectForFrame:(NSRect)frame;

- (void)setName:(NSString *)theName;
- (NSString *)name;
- (void)setImage:(NSImage*)theImage;
- (NSImage*)image;
@end
