//  OBJXToolbarItem.h
//  Mobile Objx
//
//  Created by Morgan Redman on 4/1/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.

#import <Cocoa/Cocoa.h>


//Image Name should be taken out somehow


@interface OBJXToolbarItem : NSToolbarItem  <NSCopying, NSCoding>{
    NSMenu *mMenu;
    NSToolbarItem *mItem;
    
    NSString *mName;
	NSString *mLabel;
	NSString *mToolTip;
	NSString *mImageName;
    NSImage *mImage;
	BOOL mInDefaultSet;
    
    IBOutlet id  view;
   // NSView *_pv; //private view;
    
    id keepTarget;
    SEL keepSel;
}

- (void)commonInit;

- (IBAction)click:(id)sender;
- (IBAction)dropDownMenu:(id)sender;

- (void)setMenu:(NSMenu*)menu;
- (NSMenu*)menu;
- (NSToolbarItem*)item;
- (void)setName:(NSString *)theName;
- (NSString *)name;
- (void)setLabel:(NSString *)theLabel;
- (NSString *)label;
- (void)setToolTip:(NSString *)theToolTip;
- (NSString *)toolTip;
- (void)setImageName:(NSString *)theImageName;
- (NSString *)imageName;
- (void)setInDefaultSet:(BOOL)theInDefaultSet;
- (BOOL)inDefaultSet;
- (void)setImage:(NSImage*)image;
- (NSImage*)image;
@end
